<?php


OW::getRouter()->addRoute(new OW_Route('recaptcha_verify', 'recaptcha/verify', 'RECAPTCHA_CTRL_Verify', 'recaptchaVerify'));
OW::getRouter()->addRoute(new OW_Route('recaptcha_config', 'recaptcha/config', 'RECAPTCHA_CTRL_Admin', 'index'));



function recaptcha_add_members_only_exception( BASE_CLASS_EventCollector $event )
{
    $event->add(array('controller' => 'RECAPTCHA_CTRL_Verify', 'action' => 'recaptchaVerify'));
}
OW::getEventManager()->bind('base.members_only_exceptions', 'recaptcha_add_members_only_exception');

function recaptcha_get_captcha_field( OW_Event $event )
{
    $captcha = new RECAPTCHA_CLASS_RecaptchaField('captchaField');
    $captcha->addValidator(new RECAPTCHA_CLASS_RecaptchaValidator());
    $event->setData($captcha);
}
OW::getEventManager()->bind('join.get_captcha_field', 'recaptcha_get_captcha_field');


function recaptcha_on_user_join( OW_Event $event )
{
    foreach ( $_SESSION as $key => $value )
    {
        if ( preg_match('/^'.RECAPTCHA_BOL_Service::RECAPTCHA_SESSION_VAR.'/', $key) )
        {
            OW::getSession()->delete($key);
        }
    }
}
OW::getEventManager()->bind(OW_EventManager::ON_USER_REGISTER, 'recaptcha_on_user_join');

function recaptcha_add_admin_notification( BASE_CLASS_EventCollector $coll )
{
    $config = OW::getConfig();

    if ( $config->getValue('recaptcha', 'public_key') && $config->getValue('recaptcha', 'private_key') )
    {
        return;
    }

    $coll->add(
            OW::getLanguage()->text( 'recaptcha', 'plugin_installation_notice', array('url' => OW::getRouter()->urlForRoute('recaptcha_config') ) )
        );
}
OW::getEventManager()->bind('admin.add_admin_notification', 'recaptcha_add_admin_notification');
